from kuro.base import BaseConfig


# Config variables used in the main configuration
class Config(BaseConfig):
    # Show debug messages
    debug = True

    # Default Applications
    app_terminal = "terminator"

    # Images
    desktop_bg = "/home/kevin/Pictures/wallpapers/desktop.png"

    # Fonts
    font_default = "Noto Sans"
    font_topbar = "Noto Sans"
    font_clock = "Noto Sans"
    font_titlebar = "Noto Sans"
    font_groupbox = "FontAwesome"

    # Font sizes
    fontsize_default = 11
    fontsize_topbar = 11
    fontsize_clock = 11
    fontsize_titlebar = 11
    fontsize_groupbox = 15

    # Sizes
    width_border = 1
    margin_layout = 4
    width_groupbox_border = 1
    height_groupbox = 24
    margin_groupbox = 0
    width_spacer = 1
    padding_spacer = 4

    # Variables
    bool_groupbox_disable_drag = True
    bool_groupbox_rounded_borders = True

    # Colours
    colour_border_normal = "#333333"
    colour_border_focus = "#ffffff"
    colour_groupbox_border_normal = "#333333"
    colour_groupbox_border_focus = "#aaaaaa"
    colour_groupbox_icon_active = "#ffffff"
    colour_groupbox_icon_inactive = "#777777"
    colour_spacer_background = "#777777"

    # Battery variables
    battery_theme_path = "/home/kevin/.config/qtile/kuro/resources/battery"
    battery_update_delay = 2

    # CheckUpdates variables
    updates_display_format = "{updates}"
    updates_execute_command = "terminator -e 'echo Updating\ via\ yaourt\ -Sayu...; yaourt -Sayu'"
    updates_colour_available = '#f4d742'
